Upgrading to enterprise repo

CharlesErickT

Member
Mar 15, 2017
52
7
8
29
Hello,

I wanted to know if we currently have the no-subscription repo and wanted to upgrade to the enterprise repo would that be possible by just changing the source list and apt-get update && apt-get dist-upgrade or we would need to reinstall since some packages are newer on the no-sub repo ?

If we need to reinstall, would having a single node in the cluster on the enterprise repo while we reinstall the others cause any issue ?

Here's my current pveversion if that helps:
Code:
proxmox-ve: 5.1-25 (running kernel: 4.13.4-1-pve)
pve-manager: 5.1-35 (running version: 5.1-35/722cc488)
pve-kernel-4.13.4-1-pve: 4.13.4-25
libpve-http-server-perl: 2.0-6
lvm2: 2.02.168-pve6
corosync: 2.4.2-pve3
libqb0: 1.0.1-1
pve-cluster: 5.0-15
qemu-server: 5.0-17
pve-firmware: 2.0-3
libpve-common-perl: 5.0-20
libpve-guest-common-perl: 2.0-13
libpve-access-control: 5.0-7
libpve-storage-perl: 5.0-16
pve-libspice-server1: 0.12.8-3
vncterm: 1.5-2
pve-docs: 5.1-12
pve-qemu-kvm: 2.9.1-2
pve-container: 2.0-17
pve-firewall: 3.0-3
pve-ha-manager: 2.0-3
ksm-control-daemon: 1.2-2
glusterfs-client: 3.8.8-1
lxc-pve: 2.1.0-2
lxcfs: 2.0.7-pve4
criu: 2.11.1-1~bpo90
novnc-pve: 0.6-4
smartmontools: 6.5+svn4324-1
zfsutils-linux: 0.7.2-pve1~bpo90

Thanks
 
Last edited:

dietmar

Proxmox Staff Member
Staff member
Apr 28, 2005
17,125
526
133
Austria
www.proxmox.com

CharlesErickT

Member
Mar 15, 2017
52
7
8
29
After reading the 6 pages of the thread, I'm still not sure if upgrading from the no-sub repo to the entreprise repo will overwrite the packages with the more stable version if they are a version behind.

For example, let's says on the no-sub repo (and currently installed on the host) there is SSH 2.34
Now I add the entreprise repo wich have SSH 2.33 (Stable) and I use apt-get dist-upgrade. Would SSH be downgraded to 2.33 Stable if there is already a newer version installed ?

Thanks
 

wolfgang

Proxmox Retired Staff
Retired Staff
Oct 1, 2014
6,496
496
103
This is correct by default a newer package will not overwritten by an enterprise package.
But you can force to use the enterprise repo and downgrade the packages.
This read.

man apt_preferences
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!